clang-tools 3.8.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
Argument Class Reference

This class represents one callback function argument by name and value. More...

`#include <PPCallbacksTracker.h>`

Collaboration diagram for Argument:
[legend]

## Public Member Functions
| Argument (llvm::StringRef Name, llvm::StringRef Value)
| Argument ()

## Public Attributes
std::string | Name
std::string | Value

## Detailed Description

This class represents one callback function argument by name and value.

Definition at line 30 of file PPCallbacksTracker.h.

## Constructor & Destructor Documentation

Argument::Argument | ( | llvm::StringRef | Name,
|  | llvm::StringRef | Value
| ) |  |
| inline

Definition at line 32 of file PPCallbacksTracker.h.

Argument::Argument | ( |  | ) |
| inline

Definition at line 34 of file PPCallbacksTracker.h.

## Member Data Documentation

std::string Argument::Name

Definition at line 36 of file PPCallbacksTracker.h.

Referenced by outputPPTrace().

std::string Argument::Value

Definition at line 37 of file PPCallbacksTracker.h.

Referenced by outputPPTrace().

The documentation for this class was generated from the following file:

- PPCallbacksTracker.h